/**
 * Copyright 2018 Buypass AS, Oslo, Norway
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package no.buypass.code.api.isam;

/**
 *
 */
public class OtpValidation {

    private final boolean valid;

    private final String replyMessage;

    private OtpValidation(Builder builder) {
        valid = builder.valid;
        replyMessage = builder.replyMessage;
    }

    public static Builder builder() {
        return new Builder();
    }

    public boolean isValid() {
        return valid;
    }

    public String getReplyMessage() {
        return replyMessage;
    }


    public static final class Builder {
        private boolean valid;
        private String replyMessage;

        private Builder() {
        }

        public Builder valid(boolean val) {
            valid = val;
            return this;
        }

        public Builder replyMessage(String val) {
            replyMessage = val;
            return this;
        }

        public OtpValidation build() {
            return new OtpValidation(this);
        }
    }
}