/**
 * Copyright 2018 Buypass AS, Oslo, Norway
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package no.buypass.code.api.isam;

/**
 *
 */
public class PropertyKey {

    public static final String AUTH_ID = "authenticatorId";

    /* LDAP property keys */
    public static final String LDAP_PROVIDER_URL = "ldapProviderUrl";
    public static final String LDAP_SECURITY_PRINCIPAL = "ldapSecurityPrincipal";
    public static final String LDAP_SECURITY_CREDENTIALS = "ldapSecurityCredentials";
    public static final String LDAP_PHONE_NUMBER_ATTR_NAME = "ldapPhoneNumberAttrName";
    public static final String LDAP_APP_ID_ATTR_NAME = "ldapAppIdAttrName";
    public static final String LDAP_BASE_DN = "ldapBaseDn";
    public static final String LDAP_USER_ATTR_NAME = "ldapUserAttrName";

    /* Code API property keys */
    public static final String CODE_API_URL = "codeApiUrl";
    public static final String CLIENT_ID = "clientId";
    public static final String KEYSTORE_PASSWORD = "keystorePassword";
    public static final String KEYSTORE_NAME = "keystoreName"; // keystoreName
    public static final String PROXY_URL = "proxyUrl";
    public static final String PROXY_USERNAME = "proxyUsername";
    public static final String PROXY_PASSWORD = "proxyPassword";


    private PropertyKey() {
        throw new AssertionError();
    }
}
