/**
 * Copyright 2018 Buypass AS, Oslo, Norway
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package no.buypass.code.api.isam.extension;

import com.ibm.security.access.extension.authn.AuthenticationMechanismContext;
import com.ibm.security.access.extension.authn.Scope;
import com.ibm.security.access.extension.authn.credential.Credential;
import com.ibm.security.access.extension.authn.message.Request;
import com.ibm.security.access.extension.authn.message.Response;

/**
 *
 */
public class TestAuthenticationMechanismContext implements AuthenticationMechanismContext {

    private Credential credential;

    private final Request request;

    private final Response response;

    private TestAuthenticationMechanismContext(Builder builder) {
        setCredential(builder.credential);
        request = builder.request;
        response = builder.response;
    }

    public static Builder builder() {
        return new Builder();
    }

    @Override
    public Object get(Scope scope, String s, String s1) {
        return null;
    }

    @Override
    public void set(Scope scope, String s, String s1, Object o) {

    }

    @Override
    public Object remove(Scope scope, String s, String s1) {
        return null;
    }

    @Override
    public Request getRequest() {
        return request;
    }

    @Override
    public Response getResponse() {
        return response;
    }

    @Override
    public Credential getCredential() {
        return credential;
    }

    @Override
    public void setCredential(Credential credential) {
        this.credential = credential;
    }


    public static final class Builder {
        private Credential credential;
        private Request request;
        private Response response;

        private Builder() {
        }

        public Builder credential(Credential val) {
            credential = val;
            return this;
        }

        public Builder request(Request val) {
            request = val;
            return this;
        }

        public Builder response(Response val) {
            response = val;
            return this;
        }

        public TestAuthenticationMechanismContext build() {
            return new TestAuthenticationMechanismContext(this);
        }
    }
}
